Bug 28132 - Remove "this" from button descriptions on basket and basket group pages
Summary: Remove "this" from button descriptions on basket and basket group pages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2021-04-12 09:45 UTC by Katrin Fischer
Modified: 2021-04-25 15:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05


Attachments
Bug 28132: Remove "this" from button descriptions on basket summary page (4.21 KB, patch)
2021-04-12 11:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28132: Remove "this" from button descriptions on basket summary page (4.26 KB, patch)
2021-04-12 18:33 UTC, David Nind
Details | Diff | Splinter Review
Bug 28132: (follow-up) Update basket group page (3.09 KB, patch)
2021-04-14 10:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28132: Remove "this" from button descriptions on basket summary page (4.33 KB, patch)
2021-04-14 11:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28132: (follow-up) Update basket group page (3.17 KB, patch)
2021-04-14 11:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-04-12 09:45:20 UTC
As it makes for unnecessary long translations and is not consistent with our labelling on other pages, I suggest to make the following changes to the buttons on the acq basket summary:

* Delete this basket => Delete basket
* Close this basket => Close basket

Note: Close basket will only show, when the basket is not marked as standing order and at least one order line has been added.
Comment 1 Owen Leonard 2021-04-12 11:52:46 UTC
Created attachment 119453 [details] [review]
Bug 28132: Remove "this" from button descriptions on basket summary page

This patch modifies button text on the Acquisitions basket page to
remove the word "this."

To test, apply the patch, go to Acquisitions, and locate a vendor with
baskets.

 - View an open basket.
 - You should see in the button toolbar, "Delete basket," and "Close
   basket."
 - View a closed basket.
 - You should see a "Reopen basket" button.
Comment 2 David Nind 2021-04-12 18:33:54 UTC
Created attachment 119468 [details] [review]
Bug 28132: Remove "this" from button descriptions on basket summary page

This patch modifies button text on the Acquisitions basket page to
remove the word "this."

To test, apply the patch, go to Acquisitions, and locate a vendor with
baskets.

 - View an open basket.
 - You should see in the button toolbar, "Delete basket," and "Close
   basket."
 - View a closed basket.
 - You should see a "Reopen basket" button.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2021-04-14 09:50:00 UTC
Willing to fix the basketgroup view at the same time?

koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt:                            <div class="btn-group"><a href="[% script_name | url %]?op=reopen&amp;basketgroupid=[% basketgroupid | uri %]&amp;booksellerid=[% booksellerid | uri %]&amp;mode=singlebg" class="btn btn-default" id="reopenbutton"><i class="fa fa-download"></i> Reopen this basket group</a></div>
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt:                            <div class="btn-group"><a href="[% script_name | url %]?op=export&amp;basketgroupid=[% basketgroupid | uri %]&amp;booksellerid=[% booksellerid | uri %]" class="btn btn-default" id="exportbutton"><i class="fa fa-download"></i> Export this basket group as CSV</a></div>
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/basketgroup.tt:                            <div class="btn-group"><a href="[% script_name | url %]?op=print&amp;basketgroupid=[% basketgroupid | uri %]&amp;booksellerid=[% booksellerid | uri %]" class="btn btn-default" id="printbutton"><i class="fa fa-download"></i> Print this basket group in PDF</a></div>
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/booksellers.tt:                                                        <li><a href="/cgi-bin/koha/acqui/basket.pl?op=close&basketno=[% basket.basketno | uri %]&booksellerid=[% basket.booksellerid | uri %]"><i class="fa fa-times-circle"></i> Close this basket</a></li>
Comment 4 Owen Leonard 2021-04-14 10:47:45 UTC
Created attachment 119557 [details] [review]
Bug 28132: (follow-up) Update basket group page

This patch makes the same change to the basket group page:

Reopen this basket -> Reopen basket
Export this basket -> Export basket
Print this basket -> Print basket
Comment 5 Jonathan Druart 2021-04-14 11:57:17 UTC
Created attachment 119562 [details] [review]
Bug 28132: Remove "this" from button descriptions on basket summary page

This patch modifies button text on the Acquisitions basket page to
remove the word "this."

To test, apply the patch, go to Acquisitions, and locate a vendor with
baskets.

 - View an open basket.
 - You should see in the button toolbar, "Delete basket," and "Close
   basket."
 - View a closed basket.
 - You should see a "Reopen basket" button.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2021-04-14 11:57:21 UTC
Created attachment 119563 [details] [review]
Bug 28132: (follow-up) Update basket group page

This patch makes the same change to the basket group page:

Reopen this basket -> Reopen basket
Export this basket -> Export basket
Print this basket -> Print basket

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2021-04-14 11:57:49 UTC
Thanks, Owen!
Comment 8 Jonathan Druart 2021-04-14 13:36:50 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-04-19 12:55:20 UTC
Pushed to 20.11.x for 20.11.05
Comment 10 Andrew Fuerste-Henry 2021-04-25 15:08:42 UTC
Enhancement, not backported to 20.05